Subject: Problem caused by the fix for this bug

From: Ken Brown <[email-masked]>
Date: Thu, 26 Oct 2017 13:22:51 -0400

I've just discovered that the fix for this bug (commit 
6a788d2fc18c23dcfc5d0352649b2f690e9cbff7) causes problems on the X11 
build of Emacs on Cygwin.  See the comments and code near the following 
comment that was removed in that commit:

"This hack is still in use at least for Cygwin.  See
http://lists.gnu.org/archive/html/emacs-devel/2013-12/msg00351.html."

The symptom, which I admit is purely cosmetic, is that the image at the 
top of the splash screen is not displayed on startup.  I hope the people 
who worked on this bug know how to fix this, because I don't know 
anything about how X11 and polling for input work.  If not, I'll try to 
dig into it.

Ken